import { ValidationSchemaPluginConfig } from './config';
import { TsVisitor } from '@graphql-codegen/typescript';
import { NameNode, GraphQLSchema } from 'graphql';
export declare class Visitor extends TsVisitor {
    private scalarDirection;
    private schema;
    constructor(scalarDirection: 'input' | 'output' | 'both', schema: GraphQLSchema, config: ValidationSchemaPluginConfig);
    getType(name: string): import("graphql").GraphQLNamedType | undefined;
    getNameNodeConverter(node: NameNode): {
        targetKind: import("graphql/language/kinds").Kind.SCALAR_TYPE_DEFINITION | import("graphql/language/kinds").Kind.OBJECT_TYPE_DEFINITION | import("graphql/language/kinds").Kind.INTERFACE_TYPE_DEFINITION | import("graphql/language/kinds").Kind.UNION_TYPE_DEFINITION | import("graphql/language/kinds").Kind.ENUM_TYPE_DEFINITION | import("graphql/language/kinds").Kind.INPUT_OBJECT_TYPE_DEFINITION;
        convertName: () => string;
    } | undefined;
    getScalarType(scalarName: string): string | null;
}
