"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Visitor = void 0;
const typescript_1 = require("@graphql-codegen/typescript");
class Visitor extends typescript_1.TsVisitor {
    constructor(scalarDirection, schema, config) {
        super(schema, config);
        this.scalarDirection = scalarDirection;
        this.schema = schema;
    }
    getType(name) {
        return this.schema.getType(name);
    }
    getNameNodeConverter(node) {
        const typ = this.schema.getType(node.value);
        const astNode = typ === null || typ === void 0 ? void 0 : typ.astNode;
        if (astNode === undefined || astNode === null) {
            return undefined;
        }
        return {
            targetKind: astNode.kind,
            convertName: () => this.convertName(astNode.name.value),
        };
    }
    getScalarType(scalarName) {
        if (this.scalarDirection === 'both') {
            return null;
        }
        return this.scalars[scalarName][this.scalarDirection];
    }
}
exports.Visitor = Visitor;
